Subject: [GIT PULL] updates to soc/fsl drivers for v4.14

From: [email-masked] (Shawn Guo)
Date: Mon, 23 Oct 2017 09:11:16 +0800

Hi Leo,

On Fri, Oct 20, 2017 at 10:04:07PM +0000, Leo Li wrote:
> > - We should come to an agreement on how we do these in the future.
> >   Usually I expect any Freescale/NXP/ARM changes to come through the
> >   i.MX maintainers (Shawn and Sascha), not directly from other developers.
> >   There is usually some degree of coordination required between the
> >   SoC drivers and the DT files and platform code, so it's really best to
> >   have someone be aware of all the components, and I prefer to have
> >   a smaller number of people sending me pull requests. If you already
> >   talked to Shawn about it and he prefers you to send the pull request
> >   to us directly, that's fine too, but please at least keep him on Cc.
> 
> I would like to share some more background information on this.  The microcontroller business(produces i.mx product line) and the networking business(produces qoriq product line) are completely two different business units within Freescale/NXP.  There are separate hardware design teams and software development teams due to the different targeting markets.  The hardware design are almost completely different.  Historically, the microcontroller product line focused on m68k and armv7 architectures while the networking product line focused on PowerPC architecture and recently moved to ARMv8 architecture.  There are surely some IP sharing but only on basic peripheral devices such as i2c, usb and etc.   But due to the different targeting markets most of the peripheral devices are very different.  For example this DPAA framework, network interfaces and a lot of other accelerators will never be used in the i.mx products.  On the core architecture side we are working on SBSA compliance hardware and SBBA compliance software with UEFI and ACPI in the picture, which would be a overkill for microcontrollers.    In my opinion, the differences between i.MX and QorIQ products could be even bigger than the difference between QorIQ products and some server focused ARMv8 SoCs from other vendors.  The synergy for combining these two will be very limited.
> 

I'm fine with you send drivers/soc/fsl changes to Arnd directly, since
we already have separate folders (drivers/soc/imx vs. drivers/soc/fsl)
for i.MX and QorIQ.  But as Arnd suggested, please keep me on copy, so
that I can be aware of the changes which might be somehow related to
arch/arm64/boot/dts/freescale/ changes that I'm currently taking care
of.  Thanks.

Shawn